libzypp 17.37.10

zypp::media::MediaHandlerFactory Class Reference

`#include <zypp/media/MediaHandlerFactory.h>`

## Public Types
enum | MediaHandlerType { MediaCDType , MediaNFSType , MediaISOType , MediaFileType , MediaDISKType , MediaCIFSType , MediaCURLType , MediaPluginType }

## Public Member Functions
| MediaHandlerFactory ()

## Static Public Member Functions
static std::unique_ptr< MediaHandler > | createHandler (const MirroredOrigin &origin, const Pathname &preferred_attach_point)
static std::optional< MediaHandlerType > | handlerType (const Url &url)

## Detailed Description

Definition at line 15 of file MediaHandlerFactory.h.

## Member Enumeration Documentation

## ◆ MediaHandlerType

enum zypp::media::MediaHandlerFactory::MediaHandlerType

Enumerator
MediaCDType |
MediaNFSType |
MediaISOType |
MediaFileType |
MediaDISKType |
MediaCIFSType |
MediaCURLType |
MediaPluginType |

Definition at line 19 of file MediaHandlerFactory.h.

## Constructor & Destructor Documentation

## ◆ MediaHandlerFactory()

zypp::media::MediaHandlerFactory::MediaHandlerFactory | ( |  | ) |

Definition at line 27 of file MediaHandlerFactory.cc.

## Member Function Documentation

## ◆ createHandler()

std::unique_ptr< MediaHandler > zypp::media::MediaHandlerFactory::createHandler | ( | const MirroredOrigin & | origin,
|  | const Pathname & | preferred_attach_point )
| static

Definition at line 54 of file MediaHandlerFactory.cc.

## ◆ handlerType()

std::optional< MediaHandlerFactory::MediaHandlerType > zypp::media::MediaHandlerFactory::handlerType | ( | const Url & | url | ) |
| static

Definition at line 32 of file MediaHandlerFactory.cc.

The documentation for this class was generated from the following files:

- zypp/media/MediaHandlerFactory.h
- zypp/media/MediaHandlerFactory.cc